package cmd

import (
	"fmt"

	"github.com/spf13/cobra"
)

var configsCmd = &cobra.Command{
	Use:   "configs",
	Short: "A brief description of your command",
	Long:  "A longer description that spans multiple lines",
	Run: func(cmd *cobra.Command, args []string) {
		project, _ := cmd.Flags().GetString("project")
		config, _ := cmd.Flags().GetString("config")
		fmt.Printf("configs called: %s / %s\n", project, config)
	},
}

func init() {
	rootCmd.AddCommand(configsCmd)

	rootCmd.PersistentFlags().String("project", "", "specify a project")
	rootCmd.PersistentFlags().String("config", "", "specify a config")
}
